Bug 823332 - Review Request: rubygem-mixlib-log - Ruby mixin for simple log functionality
Review Request: rubygem-mixlib-log - Ruby mixin for simple log functionality
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Josef Stribny
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 823344 823352 823331
  Show dependency treegraph
 
Reported: 2012-05-20 19:45 EDT by Jonas Courteau
Modified: 2016-01-04 00:50 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-23 11:04:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jstribny: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jonas Courteau 2012-05-20 19:45:19 EDT
Spec URL: https://raw.github.com/jcourteau/rubygems-rpms/master/fc17/rubygem-mixlib-log/rubygem-mixlib-log.spec
SRPM URL: http://rpms.courteau.org/fedora/rubygem-mixlib-log-1.3.0-1.fc17.src.rpm

Description: A gem that provides a simple mixin for log functionality.

This is part of a set of dependencies for rubygem-chef.  I've got about 14 packages to add, all ruby gems, and am looking for a sponsor.  Several of the packages were previously in Fedora (F11 and F12), but were removed due to lack of a maintainer.
Comment 1 Josef Stribny 2012-12-14 07:59:38 EST
* There is a newer upstream version out [1]. In Fedora we try to stay with the  
  latest upstream version when possible.

* Specs should be included in the -doc subpackage
  Note: specs are already included in the latest version of the gem [1]

* %check section should ran also other specs that come with the 1.4.1

* The Ruby runtime dependency needs to be dropped in order to support multiple 
  Ruby implementations in Fedora 19
  - delete Requires: ruby

[1] http://rubygems.org/gems/mixlib-log/versions/1.4.1
Comment 2 Julian C. Dunn 2012-12-21 10:46:03 EST
(In reply to comment #1)
> * There is a newer upstream version out [1]. In Fedora we try to stay with
> the  
>   latest upstream version when possible.
> 
> * Specs should be included in the -doc subpackage
>   Note: specs are already included in the latest version of the gem [1]
> 
> * %check section should ran also other specs that come with the 1.4.1
> 
> * The Ruby runtime dependency needs to be dropped in order to support
> multiple 
>   Ruby implementations in Fedora 19
>   - delete Requires: ruby
> 
> [1] http://rubygems.org/gems/mixlib-log/versions/1.4.1

All done. Please see here for updated spec and SRPM:

http://jdunn.fedorapeople.org/rubygem-mixlib-log/rubygem-mixlib-log.spec
http://jdunn.fedorapeople.org/rubygem-mixlib-log/rubygem-mixlib-log-1.4.1-1.fc19.src.rpm

I had some issues getting the conditional macro to work in %check for EL6 (rspec is too old on EL6 to run the tests). What's in the spec now works, but it's ugly. Ideally I would just like to do something like

%if %{!?el6}
# run tests in here
%endif

but that didn't work.
Comment 3 Josef Stribny 2013-01-02 05:27:12 EST
Thank you Julian.

* There is no need to exclude %{gem_instdir}/spec if you are listing it later in
  %files doc.
  -- Leave the file in the %files doc section and remove the exclusion
     of the file in %files

* Files README.rdoc and NOTICE could be probably placed in the -doc subpackage
  as they are not needed for runtime.
  -- Please consider moving them to the -doc subpackage

* Additionally, you can consider keeping Rakefile in the -doc subpackage as well.

Otherwise it looks good. Rpmlint gave me no errors and the package builds in Koji so I am APPROVING the package. Please fix the issues before pushing.
Comment 4 Julian C. Dunn 2013-01-02 13:30:55 EST
Will do, thanks for the review, Josef.
Comment 5 Julian C. Dunn 2013-01-02 13:40:56 EST
Package Change Request
======================
Package Name: rubygem-mixlib-log
New Branches: f16 f17 f18
Owners: jdunn
InitialCC: 

Undeprecate package.
Comment 6 Gwyn Ciesla 2013-01-02 15:04:49 EST
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-01-13 22:56:00 EST
rubygem-mixlib-log-1.4.1-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/rubygem-mixlib-log-1.4.1-3.fc18
Comment 8 Fedora Update System 2013-01-13 22:57:05 EST
rubygem-mixlib-log-1.4.1-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/rubygem-mixlib-log-1.4.1-3.fc17
Comment 9 Fedora Update System 2013-01-13 22:59:50 EST
rubygem-mixlib-log-1.4.1-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/rubygem-mixlib-log-1.4.1-3.fc16
Comment 10 Fedora Update System 2013-01-14 21:25:41 EST
rubygem-mixlib-log-1.4.1-3.fc17 has been pushed to the Fedora 17 testing repository.
Comment 11 Fedora Update System 2013-01-23 11:04:42 EST
rubygem-mixlib-log-1.4.1-3.fc17 has been pushed to the Fedora 17 stable repository.
Comment 12 Fedora Update System 2013-01-23 11:11:30 EST
rubygem-mixlib-log-1.4.1-3.fc16 has been pushed to the Fedora 16 stable repository.
Comment 13 Fedora Update System 2013-01-23 11:14:34 EST
rubygem-mixlib-log-1.4.1-3.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.